NNG_IPC_REGISTER(3)

NAME
nng_ipc_register - register ipc transport

SYNOPSIS

    #include <nng/transport/ipc/ipc.h>
    int nng_ipc_register(void);

DESCRIPTION

The nng_ipc_register() function registers the ipc transport for use.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient memory is available.

NNG_ENOTSUP
    The transport is not supported.

SEE ALSO

nng_ipc(5), nng(7)